> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Searches across all tool types available for an agent, including ready-to-use tools, API tools, and MCP servers. Use this endpoint to find specific tools across all categories.  **Filtering:** Use the

# Search Agent Tools

For the complete error reference, see [Error Guide](/rest-api/ai-agents-apis/error-codes).


## OpenAPI

````yaml get /ai-agents/agent-builder/agents/{uid}/tools/search
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agent-builder/agents/{uid}/tools/search:
    get:
      tags:
        - Agent Builder
      summary: Search Agent Tools
      description: >-
        Searches across all tool types available for an agent, including
        ready-to-use tools, API tools, and MCP servers. Use this endpoint to
        find specific tools across all categories.


        **Filtering:** Use the `key` parameter to filter by name, description,
        or slug, and the `slug` parameter to filter by a specific integration.
      operationId: AgentBuilderController_searchAllTools
      parameters:
        - name: uid
          required: true
          in: path
          description: Unique identifier of the agent
          schema:
            type: string
        - name: key
          required: false
          in: query
          description: Search term to filter actions by name, description, or slug
          schema:
            type: string
      responses:
        '200':
          description: Aggregated search results from all tool sources
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  results:
                    type: array
                    items:
                      type: object
                    example: []
              example:
                success: true
                results: []
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````